質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.50%

  • Linux

    3779questions

    Linuxは、Unixをベースにして開発されたオペレーティングシステムです。日本では「リナックス」と呼ばれています。 主にWebサーバやDNSサーバ、イントラネットなどのサーバ用OSとして利用されています。 上位500のスーパーコンピュータの90%以上はLinuxを使用しています。 携帯端末用のプラットフォームAndroidは、Linuxカーネル上に構築されています。

  • Ubuntu

    1407questions

    Ubuntuは、Debian GNU/Linuxを基盤としたフリーのオペレーティングシステムです。

  • Debian

    119questions

    Debianは、Debian GNU/Linux などのOS(オペレーティングシステム)です。

  • apt-get

    41questions

    apt-getコマンドはUNIX系OSのパッケージのインストールなど、パッケージ管理を行うためのコマンドです。

依存関係を無視して.debパッケージをインストールしたら他のアプリが入れられなくなった

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 201

とある.debパッケージを、dpkgで、--forceオプションを使用し、
依存関係を無視して強制的にインストールしました。    ...①
そのパッケージは今のところ、それでも問題なく動くのでいいんです。

しかし、その後apt-getで何か入れようとすると、依存関係が壊れていますとエラーを吐いて、

sudo apt-get install -f


というのを実行するのを提案するようなメッセージがでます。
してみると、①のパッケージが削除されました。

何か入れる度に①をいったんアンインストールして、また入れなおすのは大変です。
まあ特に今後新しいソフトウェアをインストールする予定はないのですが、既存のものの更新すらできないというわけで困っているのです。

環境

Ubuntu 16.04 LTSで、GNOME環境でございます

ちなみに①のパッケージというのはGNOMEテーマでpop-osという種類です
もっと新しいGNOME Shell環境を要求するようで、しかし現地点で問題なく動作しています。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

依存関係を無視して強制的にインストールした「とある.debパッケージ」をソースコードからインストールして、debパッケージの管理から切り離してしまえば問題は解決するのではないでしょうか。


「GNOMEテーマpop-os」って、https://github.com/pop-os/ で、ソースコードが公開されているソフトウェアでしょうか。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/08/08 22:51

    そうです、https://github.com/pop-os/gtk-themeにあるものです。
    ご回答ありがとうございます、参考にします!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.50%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Linux

    3779questions

    Linuxは、Unixをベースにして開発されたオペレーティングシステムです。日本では「リナックス」と呼ばれています。 主にWebサーバやDNSサーバ、イントラネットなどのサーバ用OSとして利用されています。 上位500のスーパーコンピュータの90%以上はLinuxを使用しています。 携帯端末用のプラットフォームAndroidは、Linuxカーネル上に構築されています。

  • Ubuntu

    1407questions

    Ubuntuは、Debian GNU/Linuxを基盤としたフリーのオペレーティングシステムです。

  • Debian

    119questions

    Debianは、Debian GNU/Linux などのOS(オペレーティングシステム)です。

  • apt-get

    41questions

    apt-getコマンドはUNIX系OSのパッケージのインストールなど、パッケージ管理を行うためのコマンドです。